%global srcname ipython_genutils
%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{srcname}
Version:        0.1.0
Release:        2%{?dist}
Summary:        IPython vestigial utilities

License:        BSD
URL:            https://github.com/ipython/%{srcname}
Source0:        https://pypi.python.org/packages/source/i/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
# For tests
BuildRequires:  python-nose
Provides:       python2-%{srcname} = %{version}-%{release}

%description
This package is a stop-gap that contains some common utilities shared by
Jupyter and IPython projects during The Big Split™. As soon as possible,
those packages will remove their dependency on this, and this repo will go
away.

No functionality should be added to this repository, and no packages outside
IPython/Jupyter should depend on it.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        IPython vestigial utilities
BuildRequires:  python3-devel
# For tests
BuildRequires:  python3-nose

%description -n python3-%{srcname}
This package is a stop-gap that contains some common utilities shared by
Jupyter and IPython projects during The Big Split™. As soon as possible,
those packages will remove their dependency on this, and this repo will go
away.

No functionality should be added to this repository, and no packages outside
IPython/Jupyter should depend on it.
%endif


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python2} setup.py build
%if 0%{?with_python3}
%{__python3} setup.py build
%endif


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif


%check
export LANG=en_US.UTF-8
nosetests-%{python2_version} -v
%if 0%{?with_python3}
nosetests-%{python3_version} -v
%endif

 
%files
%doc README.md
%license COPYING.md
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.md
%license COPYING.md
%{python3_sitelib}/*
%endif


%changelog
* Sat Jul 11 2015 Orion Poplawski <orion@cora.nwra.com> - 0.1.0-2
- Use nosetests

* Fri Jul 10 2015 Orion Poplawski <orion@cora.nwra.com> - 0.1.0-1
- Initial package
